package com.fjhx.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 流程审批状态--数据状态枚举
 */
@Getter
@AllArgsConstructor
public enum FlowStatusEnum1 {

    DRAFT(0, "草稿"),
    UNDER_REVIEW(10, "审批中"),
    REJECT(20, "驳回"),
    PASS(30, "通过"),
    UPDATE_LOADING(60, "变更中"),
    UPDATE(70, "已变更"),
    CANCELLATION(88, "作废"),
    TERMINATION(99, "终止"),
    ;

    private static final Map<Integer, String> map = new LinkedHashMap<>();

    static {
        for (FlowStatusEnum1 ms : values()) {
            map.put(ms.key, ms.value);
        }
    }

    private final int key;
    private final String value;

    /**
     * 获取枚举map
     */
    public static Map<Integer, String> getMap() {
        return map;
    }

}
